Qt Reference Documentation

# QFontComboBox Class Reference

The QFontComboBox widget is a combobox that lets the user select a font family. More...

     #include <QFontComboBox>

Inherits: QComboBox.

This class was introduced in Qt 4.2.

- List of all members, including inherited members

## Public Types

enum | FontFilter { AllFonts, ScalableFonts, NonScalableFonts, MonospacedFonts, ProportionalFonts }
flags | FontFilters

## Properties

- currentFont : QFont
- fontFilters : FontFilters
- writingSystem : QFontDatabase::WritingSystem

- 13 properties inherited from QComboBox
- 58 properties inherited from QWidget
- 1 property inherited from QObject

## Public Functions

| QFontComboBox ( QWidget * parent = 0 )
| ~QFontComboBox ()
QFont | currentFont () const
FontFilters | fontFilters () const
void | setFontFilters ( FontFilters filters )
void | setWritingSystem ( QFontDatabase::WritingSystem script )
QFontDatabase::WritingSystem | writingSystem () const

## Reimplemented Public Functions

virtual QSize | sizeHint () const

- 58 public functions inherited from QComboBox
- 217 public functions inherited from QWidget
- 29 public functions inherited from QObject
- 13 public functions inherited from QPaintDevice

## Public Slots

void | setCurrentFont ( const QFont & font )

- 4 public slots inherited from QComboBox
- 19 public slots inherited from QWidget
- 1 public slot inherited from QObject

## Signals

void | currentFontChanged ( const QFont & font )

- 7 signals inherited from QComboBox
- 1 signal inherited from QWidget
- 1 signal inherited from QObject

## Reimplemented Protected Functions

virtual bool | event ( QEvent * e )

- 16 protected functions inherited from QComboBox
- 37 protected functions inherited from QWidget
- 7 protected functions inherited from QObject
- 1 protected function inherited from QPaintDevice

### Additional Inherited Members

- 4 static public members inherited from QWidget
- 5 static public members inherited from QObject
- 16 protected functions inherited from QComboBox
- 37 protected functions inherited from QWidget
- 7 protected functions inherited from QObject
- 1 protected function inherited from QPaintDevice
- 1 protected slot inherited from QWidget

## Detailed Description

The QFontComboBox widget is a combobox that lets the user select a font family.

The combobox is populated with an alphabetized list of font family names, such as Arial, Helvetica, and Times New Roman. Family names are displayed using the actual font when possible. For fonts such as Symbol, where the name is not representable in the font itself, a sample of the font is displayed next to the family name.

QFontComboBox is often used in toolbars, in conjunction with a QComboBox for controlling the font size and two QToolButtons for bold and italic.

When the user selects a new font, the currentFontChanged() signal is emitted in addition to currentIndexChanged().

Call setWritingSystem() to tell QFontComboBox to show only fonts that support a given writing system, and setFontFilters() to filter out certain types of fonts as e.g. non scalable fonts or monospaced fonts.

See also QComboBox, QFont, QFontInfo, QFontMetrics, QFontDatabase, and Character Map Example.

## Member Type Documentation

### enum QFontComboBox::FontFilter
flags QFontComboBox::FontFilters

This enum can be used to only show certain types of fonts in the font combo box.

Constant | Value | Description
--- | --- | ---
`QFontComboBox::AllFonts` | `0` | Show all fonts
`QFontComboBox::ScalableFonts` | `0x1` | Show scalable fonts
`QFontComboBox::NonScalableFonts` | `0x2` | Show non scalable fonts
`QFontComboBox::MonospacedFonts` | `0x4` | Show monospaced fonts
`QFontComboBox::ProportionalFonts` | `0x8` | Show proportional fonts

The FontFilters type is a typedef for QFlags<FontFilter>. It stores an OR combination of FontFilter values.

## Property Documentation

### currentFont : QFont

This property holds the currently selected font.

Access functions:

QFont | currentFont () const
void | setCurrentFont ( const QFont & font )

Notifier signal:

void | currentFontChanged ( const QFont & font )

See also currentFontChanged(), currentIndex, and currentText.

### fontFilters : FontFilters

This property holds the filter for the combobox.

By default, all fonts are listed.

Access functions:

FontFilters | fontFilters () const
void | setFontFilters ( FontFilters filters )

See also writingSystem.

### writingSystem : QFontDatabase::WritingSystem

This property holds the writing system that serves as a filter for the combobox.

If script is QFontDatabase::Any (the default), all fonts are listed.

Access functions:

QFontDatabase::WritingSystem | writingSystem () const
void | setWritingSystem ( QFontDatabase::WritingSystem script )

See also fontFilters.

## Member Function Documentation

### QFontComboBox::QFontComboBox ( QWidget * parent = 0 )

Constructs a font combobox with the given parent.

### QFontComboBox::~QFontComboBox ()

Destroys the combobox.

### void QFontComboBox::currentFontChanged ( const QFont & font )`[signal]`

This signal is emitted whenever the current font changes, with the new font.

See also currentFont.

### bool QFontComboBox::event ( QEvent * e )`[virtual protected]`

Reimplemented from QObject::event().

### QSize QFontComboBox::sizeHint () const`[virtual]`

Reimplemented from QWidget::sizeHint().